Tick-level trades
This data is included in the following Kaiko packages:
Level 1 & Level 2 Data [Level 1 Tick-Level Tier]
Level 1 & Level 2 Data [Level 2 Aggregations Tier]
Level 1 & Level 2 Data [Level 2 Tick-Level Tier]
CeFi Spot ticker packs.
What is this endpoint for?
Tick-level data is the most granular level of trading data and contains every single trade that occurs on centralized and decentralized exchanges. The data is normalized and timestamped and contains information such as the price and volume of each trade. For DEXs specifically, we also provide additional information on the user address, the blockchain, the pool address, and the transaction hash related to the trade. Read our DEX trade data methodology here.
You can use this same endpoint to get data for all market types. Kaiko subscriptions are sold per market type.
Endpoint
https://{region}.market-api.kaiko.io/v3/data/trades.v1/exchanges/{exchange}/spot/{instrument}/tradesPath Parameters
region
Yes
Choose between eu and us.
exchange
Yes
Exchange code.
See
instrument_class
Yes
Instrument class.
See
instrument
Yes
Instrument code.
See
Query Parameters
start_time
No
Starting time in ISO 8601 (inclusive). Automatically included in continuation tokens.
end_time
No
Ending time in ISO 8601 (exclusive). Automatically included in continuation tokens.
sort
No
Return the data in ascending (asc) or descending (desc) order. Default desc.
Fields
timestamp
The timestamp provided by the exchange or the collection timestamp in Unix Timestamp (in nanoseconds)
trade_id
Unique trade ID (unique to the exchange). In case the exchange does not provide an ID, we generate it ourselves.
price
Price displayed in quote currency.
amount
Quantity of asset bought or sold (can be in base_asset, quote_asset or the number of contracts).
taker_side_sell
blockchain
The blockchain on which the trade happened.
transaction_hash
Transaction hash.
log_index
The log index of the event (in base 10).
pool_address
The address of the pool in which the trade happened.
user_address
Trader address (beneficiary).
Request examples
Response example
Last updated
Was this helpful?
